Subject: [Fecframe] AD Review: draft-ietf-fecframe-rtp-raptor

From: "David Harrington" <[email-masked]>
Date: Tue, 30 Aug 2011 17:58:27 -0400

Hi,

I don't know if you missed these comments.
I am waiting for a revised ID before starting Last Call.
Can you get a revised ID asap?

AD Review of draft-ietf-fecframe-rtp-raptor-04:
It would be good
to use RFC2119 keywords in active voice - "The implementer SHOULD
select" (or is
it the operator?) rather than "It is RECOMMENDED to select".
For example, I
recommend changing "The (integer) rate SHALL be larger than 1000".
Whose
responsibility is it to enforce this SHALL? MUST implementations
reject values
less than 1000? (if implementations don't enforce this, I don't know
how you'll
enforce this SHALL. Which means a user MAY choose a lower value;
therefore this
isn't really a MUST. yada yada yada ...
So you should use active voice to be
explicit about whose responsibility it is to enforce this MUST. (and
similar to
RFC 3665, MUST is for implementers; SHOULD is for users).
in 5.1.1, rate
definition. 
"rate: The RTP timestamp (clock) rate in Hz. The (integer) rate
SHALL be larger than 1000 to provide sufficient resolution to RTCP
operations.
However, it is RECOMMENDED to select the rate that matches the rate of
the
protected source RTP stream." The However in this paragraph makes it
sound like
you recommend using the rate that matches (even if it is below 1000).
I
recommend removing the "However," 
in 5.1.1, s/shall/SHALL/
"Restrictions on
usage: This media type depends on RTP framing, and hence is only
defined for
transfer via RTP [[RFC3550]]. Transport within other framing protocols
is not
defined at this time. " Do we need the "at this time"? Is it
envisioned this
media type will be exteneded for additional framing protocols at a
later time?
in 12 s/recommended/RECOMMENDED/, s/may/MAY/g
in 8, is Session Announcement
Protocol (SAP) [RFC2947] the right reference? I saw no mention of SAP
in 2947.
in 15.2, rfc2947 seems to refer to the wrong document. I think you
need 2974.
in
1, "Repair data flows may be sent directly over a transport protocol
such as
UDP, or they may be encapsulated within RTP." Is RTP the only
prootocol that
could be used to encapsulate flows? should this be "they may be
encapsulated
within specialized transports for multimedia, such as RTP"?

s/FECs operates/FECs operate/
s/an FEC/a FEC/

Shepherd, Since AVT is the change controller, was this WGLC'd in AVT?

Thanks,
David Harrington
Director, IETF Transport Area
[email-masked] (preferred for ietf)
[email-masked]
+1 603 828 1401 (cell)